<cdk-virtual-scroll-viewport itemSize="100" class="shop">
    <div class="container">
        <div class="row">
            <div class="col-lg-3">
                <div class="widget">
                    <h5 class="widget-title">Categories</h5>
                    <mat-divider></mat-divider>
                    <mat-list *ngFor="let category of categories">
                        <mat-list-item class="widget-category-item active">{{category.name}}</mat-list-item>
                    </mat-list>
                </div>
                <div class="widget">
                    <h5 class="widget-title">Filter</h5>
                    <mat-divider></mat-divider>
                    <mat-slider style="width: 100%" [thumbLabel]="true" [max]="max" [min]="min"
                        [step]="step" [(ngModel)]="value" name="filter">
                    </mat-slider>
                    <p style="text-align: center;">Price: $0 - ${{value}}</p>
                </div>
            </div>
            <div class="col-lg-9">

                <div class="row">
                    <div class="col-lg-4 col-md-6" *cdkVirtualFor="let product of products">
                        <mat-card class="product">
                            <div class="image">
                                <img mat-card-image src="{{product.imageURL}}">
                                <div class="product_action_box">
                                    <ul class="list_none pr_action_btn">
                                        <li>
                                            <span class="fa-stack" style="margin-bottom: 4px;">
                                                <i class="fas fa-circle fa-stack-2x icon-background"></i>
                                                <i class="fas fa-cart-plus fa-stack-1x icon"></i>
                                            </span>
                                        </li>
                                        <li>
                                            <span class="fa-stack" style="margin-bottom: 4px;">
                                                <i class="fas fa-circle fa-stack-2x icon-background"></i>
                                                <i class="far fa-heart fa-stack-1x icon"></i>
                                            </span>
                                        </li>
                                        <li (click)="view(product)">
                                            <span class="fa-stack" style="margin-bottom: 4px;">
                                                <i class="fas fa-circle fa-stack-2x icon-background"></i>
                                                <i class="far fa-eye fa-stack-1x icon"></i>
                                            </span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            <mat-card-content>
                                <h6>{{product.name}}</h6>
                                <ngb-rating [(rate)]="product.star" max="5" [readonly]="true">
                                    <ng-template let-fill="fill" let-index="index">
                                        <span class="star" [class.filled]="fill === 100">&#9733;</span>
                                    </ng-template>
                                </ngb-rating>
                                <p class="price">${{product.price}}</p>
                            </mat-card-content>
                            <mat-card-actions>
                            </mat-card-actions>
                        </mat-card>
                    </div>
                </div>
            </div>
        </div>
    </div>

</cdk-virtual-scroll-viewport>
